| LibDriver LLCC68 1.0.0 LLCC68 full function driver

Functions
llcc68 register driver function
llcc68 driver function

llcc68 register driver modules More...

## Functions
uint8_t | llcc68_set_fsk_whitening_initial_value (llcc68_handle_t *handle, uint16_t value)
| set the whitening initial value in FSK mode More...
uint8_t | llcc68_get_fsk_whitening_initial_value (llcc68_handle_t *handle, uint16_t *value)
| get the whitening initial value in FSK mode More...
uint8_t | llcc68_set_fsk_crc_initical_value (llcc68_handle_t *handle, uint16_t value)
| set the crc initial value in FSK mode More...
uint8_t | llcc68_get_fsk_crc_initical_value (llcc68_handle_t *handle, uint16_t *value)
| get the crc initical value in FSK mode More...
uint8_t | llcc68_set_fsk_crc_polynomial_value (llcc68_handle_t *handle, uint16_t value)
| set the crc polynomial value in FSK mode More...
uint8_t | llcc68_get_fsk_crc_polynomial_value (llcc68_handle_t *handle, uint16_t *value)
| get the crc polynomial value in FSK mode More...
uint8_t | llcc68_set_fsk_sync_word (llcc68_handle_t *handle, uint8_t sync_word[8])
| set the sync word in FSK mode More...
uint8_t | llcc68_get_fsk_sync_word (llcc68_handle_t *handle, uint8_t sync_word[8])
| get the sync word in FSK mode More...
uint8_t | llcc68_set_fsk_node_address (llcc68_handle_t *handle, uint8_t addr)
| set the node address in FSK mode More...
uint8_t | llcc68_get_fsk_node_address (llcc68_handle_t *handle, uint8_t *addr)
| get the node address in FSK mode More...
uint8_t | llcc68_set_fsk_broadcast_address (llcc68_handle_t *handle, uint8_t addr)
| set the broadcast address in FSK mode More...
uint8_t | llcc68_get_fsk_broadcast_address (llcc68_handle_t *handle, uint8_t *addr)
| get the broadcast address in FSK mode More...
uint8_t | llcc68_set_iq_polarity (llcc68_handle_t *handle, uint8_t setup)
| set the iq polarity More...
uint8_t | llcc68_get_iq_polarity (llcc68_handle_t *handle, uint8_t *setup)
| get the iq polarity More...
uint8_t | llcc68_set_lora_sync_word (llcc68_handle_t *handle, uint16_t sync_word)
| set the lora sync word More...
uint8_t | llcc68_get_lora_sync_word (llcc68_handle_t *handle, uint16_t *sync_word)
| get the lora sync word More...
uint8_t | llcc68_get_random_number (llcc68_handle_t *handle, uint32_t *r)
| get the random number More...
uint8_t | llcc68_set_tx_modulation (llcc68_handle_t *handle, uint8_t modulation)
| set the tx modulation More...
uint8_t | llcc68_get_tx_modulation (llcc68_handle_t *handle, uint8_t *modulation)
| get the tx modulation More...
uint8_t | llcc68_set_rx_gain (llcc68_handle_t *handle, uint8_t gain)
| set the rx gain More...
uint8_t | llcc68_get_rx_gain (llcc68_handle_t *handle, uint8_t *gain)
| get the rx gain More...
uint8_t | llcc68_set_tx_clamp_config (llcc68_handle_t *handle, uint8_t config)
| set the tx clamp config More...
uint8_t | llcc68_get_tx_clamp_config (llcc68_handle_t *handle, uint8_t *config)
| get the tx clamp config More...
uint8_t | llcc68_set_ocp (llcc68_handle_t *handle, uint8_t ocp)
| set the ocp More...
uint8_t | llcc68_get_ocp (llcc68_handle_t *handle, uint8_t *ocp)
| get the ocp More...
uint8_t | llcc68_set_rtc_control (llcc68_handle_t *handle, uint8_t control)
| set the rtc control More...
uint8_t | llcc68_get_rtc_control (llcc68_handle_t *handle, uint8_t *control)
| get the rtc control More...
uint8_t | llcc68_set_xta_trim (llcc68_handle_t *handle, uint8_t trim)
| set the xta trim More...
uint8_t | llcc68_get_xta_trim (llcc68_handle_t *handle, uint8_t *trim)
| get the xta trim More...
uint8_t | llcc68_set_xtb_trim (llcc68_handle_t *handle, uint8_t trim)
| set the xtb trim More...
uint8_t | llcc68_get_xtb_trim (llcc68_handle_t *handle, uint8_t *trim)
| get the xtb trim More...
uint8_t | llcc68_set_dio3_output_control (llcc68_handle_t *handle, uint8_t control)
| set the dio3 output More...
uint8_t | llcc68_get_dio3_output_control (llcc68_handle_t *handle, uint8_t *control)
| get the dio3 output More...
uint8_t | llcc68_set_event_mask (llcc68_handle_t *handle, uint8_t mask)
| set the event mask More...
uint8_t | llcc68_get_event_mask (llcc68_handle_t *handle, uint8_t *mask)
| get the event mask More...
uint8_t | llcc68_set_dio_output_enable (llcc68_handle_t *handle, uint8_t enable)
| set the dio output enable More...
uint8_t | llcc68_get_dio_output_enable (llcc68_handle_t *handle, uint8_t *enable)
| get the dio output enable More...
uint8_t | llcc68_set_dio_input_enable (llcc68_handle_t *handle, uint8_t enable)
| set the dio input enable More...
uint8_t | llcc68_get_dio_input_enable (llcc68_handle_t *handle, uint8_t *enable)
| get the dio input enable More...
uint8_t | llcc68_set_pull_up_control (llcc68_handle_t *handle, uint8_t control)
| set the pull up control More...
uint8_t | llcc68_get_pull_up_control (llcc68_handle_t *handle, uint8_t *control)
| get the pull up control More...
uint8_t | llcc68_set_pull_down_control (llcc68_handle_t *handle, uint8_t control)
| set the pull down control More...
uint8_t | llcc68_get_pull_down_control (llcc68_handle_t *handle, uint8_t *control)
| get the pull down control More...

## Detailed Description

llcc68 register driver modules

## Function Documentation

## ◆ llcc68_get_dio3_output_control()

uint8_t llcc68_get_dio3_output_control | ( | llcc68_handle_t * | handle,
|  | uint8_t * | control
| ) |  |

get the dio3 output

Parameters

  [in] | *handle | pointer to an llcc68 handle structure
  [out] | *control | pointer to a dio3 output control buffer

Returns
  status code
  - 0 success
  - 1 get dio3 output control failed
  - 2 handle is NULL
  - 3 handle is not initialized
  - 4 chip is busy

Note
  none

Definition at line 5100 of file driver_llcc68.c.

## ◆ llcc68_get_dio_input_enable()

uint8_t llcc68_get_dio_input_enable | ( | llcc68_handle_t * | handle,
|  | uint8_t * | enable
| ) |  |

get the dio input enable

Parameters

  [in] | *handle | pointer to an llcc68 handle structure
  [out] | *enable | pointer to an enable settings buffer

Returns
  status code
  - 0 success
  - 1 get dio input enable failed
  - 2 handle is NULL
  - 3 handle is not initialized
  - 4 chip is busy

Note
  none

Definition at line 5364 of file driver_llcc68.c.

## ◆ llcc68_get_dio_output_enable()

uint8_t llcc68_get_dio_output_enable | ( | llcc68_handle_t * | handle,
|  | uint8_t * | enable
| ) |  |

get the dio output enable

Parameters

  [in] | *handle | pointer to an llcc68 handle structure
  [out] | *enable | pointer to an enable settings buffer

Returns
  status code
  - 0 success
  - 1 get dio output enable failed
  - 2 handle is NULL
  - 3 handle is not initialized
  - 4 chip is busy

Note
  none

Definition at line 5276 of file driver_llcc68.c.

## ◆ llcc68_get_event_mask()

uint8_t llcc68_get_event_mask | ( | llcc68_handle_t * | handle,
|  | uint8_t * | mask
| ) |  |

get the event mask

Parameters

  [in] | *handle | pointer to an llcc68 handle structure
  [out] | *mask | pointer to an event mask buffer

Returns
  status code
  - 0 success
  - 1 get event mask failed
  - 2 handle is NULL
  - 3 handle is not initialized
  - 4 chip is busy

Note
  none

Definition at line 5188 of file driver_llcc68.c.

## ◆ llcc68_get_fsk_broadcast_address()

uint8_t llcc68_get_fsk_broadcast_address | ( | llcc68_handle_t * | handle,
|  | uint8_t * | addr
| ) |  |

get the broadcast address in FSK mode

Parameters

  [in] | *handle | pointer to an llcc68 handle structure
  [out] | *addr | pointer to a broadcast address buffer

Returns
  status code
  - 0 success
  - 1 get fsk broadcast address failed
  - 2 handle is NULL
  - 3 handle is not initialized
  - 4 chip is busy

Note
  none

Definition at line 4168 of file driver_llcc68.c.

## ◆ llcc68_get_fsk_crc_initical_value()

uint8_t llcc68_get_fsk_crc_initical_value | ( | llcc68_handle_t * | handle,
|  | uint16_t * | value
| ) |  |

get the crc initical value in FSK mode

Parameters

  [in] | *handle | pointer to an llcc68 handle structure
  [out] | *value | pointer to a value buffer

Returns
  status code
  - 0 success
  - 1 get fsk crc initical value failed
  - 2 handle is NULL
  - 3 handle is not initialized
  - 4 chip is busy

Note
  none

Definition at line 3809 of file driver_llcc68.c.

## ◆ llcc68_get_fsk_crc_polynomial_value()

uint8_t llcc68_get_fsk_crc_polynomial_value | ( | llcc68_handle_t * | handle,
|  | uint16_t * | value
| ) |  |

get the crc polynomial value in FSK mode

Parameters

  [in] | *handle | pointer to an llcc68 handle structure
  [out] | *value | pointer to a value buffer

Returns
  status code
  - 0 success
  - 1 get fsk crc polynomial value failed
  - 2 handle is NULL
  - 3 handle is not initialized
  - 4 chip is busy

Note
  none

Definition at line 3902 of file driver_llcc68.c.

## ◆ llcc68_get_fsk_node_address()

uint8_t llcc68_get_fsk_node_address | ( | llcc68_handle_t * | handle,
|  | uint8_t * | addr
| ) |  |

get the node address in FSK mode

Parameters

  [in] | *handle | pointer to an llcc68 handle structure
  [out] | *addr | pointer to a node address buffer

Returns
  status code
  - 0 success
  - 1 get fsk node address failed
  - 2 handle is NULL
  - 3 handle is not initialized
  - 4 chip is busy

Note
  none

Definition at line 4080 of file driver_llcc68.c.

## ◆ llcc68_get_fsk_sync_word()

uint8_t llcc68_get_fsk_sync_word | ( | llcc68_handle_t * | handle,
|  | uint8_t | sync_word[8]
| ) |  |

get the sync word in FSK mode

Parameters

  [in] | *handle | pointer to an llcc68 handle structure
  [out] | *sync_word | pointer to sync word buffer

Returns
  status code
  - 0 success
  - 1 get fsk sync word failed
  - 2 handle is NULL
  - 3 handle is not initialized
  - 4 chip is busy

Note
  none

Definition at line 3992 of file driver_llcc68.c.

## ◆ llcc68_get_fsk_whitening_initial_value()

uint8_t llcc68_get_fsk_whitening_initial_value | ( | llcc68_handle_t * | handle,
|  | uint16_t * | value
| ) |  |

get the whitening initial value in FSK mode

Parameters

  [in] | *handle | pointer to an llcc68 handle structure
  [out] | *value | pointer to a value buffer

Returns
  status code
  - 0 success
  - 1 get fsk whitening initial value failed
  - 2 handle is NULL
  - 3 handle is not initialized
  - 4 chip is busy

Note
  none

Definition at line 3716 of file driver_llcc68.c.

## ◆ llcc68_get_iq_polarity()

uint8_t llcc68_get_iq_polarity | ( | llcc68_handle_t * | handle,
|  | uint8_t * | setup
| ) |  |

get the iq polarity

Parameters

  [in] | *handle | pointer to an llcc68 handle structure
  [out] | *setup | pointer to a settings buffer

Returns
  status code
  - 0 success
  - 1 get iq polarity failed
  - 2 handle is NULL
  - 3 handle is not initialized
  - 4 chip is busy

Note
  none

Definition at line 4256 of file driver_llcc68.c.

## ◆ llcc68_get_lora_sync_word()

uint8_t llcc68_get_lora_sync_word | ( | llcc68_handle_t * | handle,
|  | uint16_t * | sync_word
| ) |  |

get the lora sync word

Parameters

  [in] | *handle | pointer to an llcc68 handle structure
  [out] | *sync_word | pointer to an sync word buffer

Returns
  status code
  - 0 success
  - 1 get lora sync word failed
  - 2 handle is NULL
  - 3 handle is not initialized
  - 4 chip is busy

Note
  none

Definition at line 4347 of file driver_llcc68.c.

## ◆ llcc68_get_ocp()

uint8_t llcc68_get_ocp | ( | llcc68_handle_t * | handle,
|  | uint8_t * | ocp
| ) |  |

get the ocp

Parameters

  [in] | *handle | pointer to an llcc68 handle structure
  [out] | *ocp | pointer to an over current protection level buffer

Returns
  status code
  - 0 success
  - 1 get ocp failed
  - 2 handle is NULL
  - 3 handle is not initialized
  - 4 chip is busy

Note
  none

Definition at line 4748 of file driver_llcc68.c.

## ◆ llcc68_get_pull_down_control()

uint8_t llcc68_get_pull_down_control | ( | llcc68_handle_t * | handle,
|  | uint8_t * | control
| ) |  |

get the pull down control

Parameters

  [in] | *handle | pointer to an llcc68 handle structure
  [out] | *control | pointer to a pull down control buffer

Returns
  status code
  - 0 success
  - 1 get pull down control failed
  - 2 handle is NULL
  - 3 handle is not initialized
  - 4 chip is busy

Note
  none

Definition at line 5540 of file driver_llcc68.c.

## ◆ llcc68_get_pull_up_control()

uint8_t llcc68_get_pull_up_control | ( | llcc68_handle_t * | handle,
|  | uint8_t * | control
| ) |  |

get the pull up control

Parameters

  [in] | *handle | pointer to an llcc68 handle structure
  [out] | *control | pointer to a pull up control buffer

Returns
  status code
  - 0 success
  - 1 get pull up control failed
  - 2 handle is NULL
  - 3 handle is not initialized
  - 4 chip is busy

Note
  none

Definition at line 5452 of file driver_llcc68.c.

## ◆ llcc68_get_random_number()

uint8_t llcc68_get_random_number | ( | llcc68_handle_t * | handle,
|  | uint32_t * | r
| ) |  |

get the random number

Parameters

  [in] | *handle | pointer to an llcc68 handle structure
  [out] | *r | pointer to a random number buffer

Returns
  status code
  - 0 success
  - 1 get random number failed
  - 2 handle is NULL
  - 3 handle is not initialized
  - 4 chip is busy

Note
  none

Definition at line 4393 of file driver_llcc68.c.

## ◆ llcc68_get_rtc_control()

uint8_t llcc68_get_rtc_control | ( | llcc68_handle_t * | handle,
|  | uint8_t * | control
| ) |  |

get the rtc control

Parameters

  [in] | *handle | pointer to an llcc68 handle structure
  [out] | *control | pointer to an rtc control buffer

Returns
  status code
  - 0 success
  - 1 get rtc control failed
  - 2 handle is NULL
  - 3 handle is not initialized
  - 4 chip is busy

Note
  none

Definition at line 4836 of file driver_llcc68.c.

## ◆ llcc68_get_rx_gain()

uint8_t llcc68_get_rx_gain | ( | llcc68_handle_t * | handle,
|  | uint8_t * | gain
| ) |  |

get the rx gain

Parameters

  [in] | *handle | pointer to an llcc68 handle structure
  [out] | *gain | pointer to an rx gain buffer

Returns
  status code
  - 0 success
  - 1 get rx gain failed
  - 2 handle is NULL
  - 3 handle is not initialized
  - 4 chip is busy

Note
  none

Definition at line 4572 of file driver_llcc68.c.

## ◆ llcc68_get_tx_clamp_config()

uint8_t llcc68_get_tx_clamp_config | ( | llcc68_handle_t * | handle,
|  | uint8_t * | config
| ) |  |

get the tx clamp config

Parameters

  [in] | *handle | pointer to an llcc68 handle structure
  [out] | *config | pointer to a tx clamp config buffer

Returns
  status code
  - 0 success
  - 1 get tx clamp config failed
  - 2 handle is NULL
  - 3 handle is not initialized
  - 4 chip is busy

Note
  none

Definition at line 4660 of file driver_llcc68.c.

## ◆ llcc68_get_tx_modulation()

uint8_t llcc68_get_tx_modulation | ( | llcc68_handle_t * | handle,
|  | uint8_t * | modulation
| ) |  |

get the tx modulation

Parameters

  [in] | *handle | pointer to an llcc68 handle structure
  [out] | *modulation | pointer to a tx modulation buffer

Returns
  status code
  - 0 success
  - 1 get tx modulation failed
  - 2 handle is NULL
  - 3 handle is not initialized
  - 4 chip is busy

Note
  none

Definition at line 4484 of file driver_llcc68.c.

## ◆ llcc68_get_xta_trim()

uint8_t llcc68_get_xta_trim | ( | llcc68_handle_t * | handle,
|  | uint8_t * | trim
| ) |  |

get the xta trim

Parameters

  [in] | *handle | pointer to an llcc68 handle structure
  [out] | *trim | pointer to an xta trim buffer

Returns
  status code
  - 0 success
  - 1 get xta trim failed
  - 2 handle is NULL
  - 3 handle is not initialized
  - 4 chip is busy

Note
  none

Definition at line 4924 of file driver_llcc68.c.

## ◆ llcc68_get_xtb_trim()

uint8_t llcc68_get_xtb_trim | ( | llcc68_handle_t * | handle,
|  | uint8_t * | trim
| ) |  |

get the xtb trim

Parameters

  [in] | *handle | pointer to an llcc68 handle structure
  [out] | *trim | pointer to an xtb trim buffer

Returns
  status code
  - 0 success
  - 1 get xtb trim failed
  - 2 handle is NULL
  - 3 handle is not initialized
  - 4 chip is busy

Note
  none

Definition at line 5012 of file driver_llcc68.c.

## ◆ llcc68_set_dio3_output_control()

uint8_t llcc68_set_dio3_output_control | ( | llcc68_handle_t * | handle,
|  | uint8_t | control
| ) |  |

set the dio3 output

Parameters

  [in] | *handle | pointer to an llcc68 handle structure
  [in] | control | dio3 output control

Returns
  status code
  - 0 success
  - 1 set dio3 output control failed
  - 2 handle is NULL
  - 3 handle is not initialized
  - 4 chip is busy

Note
  none

Definition at line 5056 of file driver_llcc68.c.

## ◆ llcc68_set_dio_input_enable()

uint8_t llcc68_set_dio_input_enable | ( | llcc68_handle_t * | handle,
|  | uint8_t | enable
| ) |  |

set the dio input enable

Parameters

  [in] | *handle | pointer to an llcc68 handle structure
  [in] | enable | enable settings

Returns
  status code
  - 0 success
  - 1 set dio input enable failed
  - 2 handle is NULL
  - 3 handle is not initialized
  - 4 chip is busy

Note
  none

Definition at line 5320 of file driver_llcc68.c.

## ◆ llcc68_set_dio_output_enable()

uint8_t llcc68_set_dio_output_enable | ( | llcc68_handle_t * | handle,
|  | uint8_t | enable
| ) |  |

set the dio output enable

Parameters

  [in] | *handle | pointer to an llcc68 handle structure
  [in] | enable | enable settings

Returns
  status code
  - 0 success
  - 1 set dio output enable failed
  - 2 handle is NULL
  - 3 handle is not initialized
  - 4 chip is busy

Note
  none

Definition at line 5232 of file driver_llcc68.c.

## ◆ llcc68_set_event_mask()

uint8_t llcc68_set_event_mask | ( | llcc68_handle_t * | handle,
|  | uint8_t | mask
| ) |  |

set the event mask

Parameters

  [in] | *handle | pointer to an llcc68 handle structure
  [in] | mask | event mask

Returns
  status code
  - 0 success
  - 1 set event mask failed
  - 2 handle is NULL
  - 3 handle is not initialized
  - 4 chip is busy

Note
  none

Definition at line 5144 of file driver_llcc68.c.

## ◆ llcc68_set_fsk_broadcast_address()

uint8_t llcc68_set_fsk_broadcast_address | ( | llcc68_handle_t * | handle,
|  | uint8_t | addr
| ) |  |

set the broadcast address in FSK mode

Parameters

  [in] | *handle | pointer to an llcc68 handle structure
  [in] | addr | broadcast address

Returns
  status code
  - 0 success
  - 1 set fsk broadcast address failed
  - 2 handle is NULL
  - 3 handle is not initialized
  - 4 chip is busy

Note
  none

Definition at line 4124 of file driver_llcc68.c.

## ◆ llcc68_set_fsk_crc_initical_value()

uint8_t llcc68_set_fsk_crc_initical_value | ( | llcc68_handle_t * | handle,
|  | uint16_t | value
| ) |  |

set the crc initial value in FSK mode

Parameters

  [in] | *handle | pointer to an llcc68 handle structure
  [in] | value | set value

Returns
  status code
  - 0 success
  - 1 set fsk crc initial value failed
  - 2 handle is NULL
  - 3 handle is not initialized
  - 4 chip is busy

Note
  none

Definition at line 3762 of file driver_llcc68.c.

## ◆ llcc68_set_fsk_crc_polynomial_value()

uint8_t llcc68_set_fsk_crc_polynomial_value | ( | llcc68_handle_t * | handle,
|  | uint16_t | value
| ) |  |

set the crc polynomial value in FSK mode

Parameters

  [in] | *handle | pointer to an llcc68 handle structure
  [in] | value | set value

Returns
  status code
  - 0 success
  - 1 set fsk crc polynomial value failed
  - 2 handle is NULL
  - 3 handle is not initialized
  - 4 chip is busy

Note
  none

Definition at line 3855 of file driver_llcc68.c.

## ◆ llcc68_set_fsk_node_address()

uint8_t llcc68_set_fsk_node_address | ( | llcc68_handle_t * | handle,
|  | uint8_t | addr
| ) |  |

set the node address in FSK mode

Parameters

  [in] | *handle | pointer to an llcc68 handle structure
  [in] | addr | node address

Returns
  status code
  - 0 success
  - 1 set fsk node address failed
  - 2 handle is NULL
  - 3 handle is not initialized
  - 4 chip is busy

Note
  none

Definition at line 4036 of file driver_llcc68.c.

## ◆ llcc68_set_fsk_sync_word()

uint8_t llcc68_set_fsk_sync_word | ( | llcc68_handle_t * | handle,
|  | uint8_t | sync_word[8]
| ) |  |

set the sync word in FSK mode

Parameters

  [in] | *handle | pointer to an llcc68 handle structure
  [in] | *sync_word | pointer to sync word buffer

Returns
  status code
  - 0 success
  - 1 set fsk sync word failed
  - 2 handle is NULL
  - 3 handle is not initialized
  - 4 chip is busy

Note
  none

Definition at line 3948 of file driver_llcc68.c.

## ◆ llcc68_set_fsk_whitening_initial_value()

uint8_t llcc68_set_fsk_whitening_initial_value | ( | llcc68_handle_t * | handle,
|  | uint16_t | value
| ) |  |

set the whitening initial value in FSK mode

Parameters

  [in] | *handle | pointer to an llcc68 handle structure
  [in] | value | set value

Returns
  status code
  - 0 success
  - 1 set fsk whitening initial value failed
  - 2 handle is NULL
  - 3 handle is not initialized
  - 4 chip is busy

Note
  none

Definition at line 3669 of file driver_llcc68.c.

## ◆ llcc68_set_iq_polarity()

uint8_t llcc68_set_iq_polarity | ( | llcc68_handle_t * | handle,
|  | uint8_t | setup
| ) |  |

set the iq polarity

Parameters

  [in] | *handle | pointer to an llcc68 handle structure
  [in] | setup | settings

Returns
  status code
  - 0 success
  - 1 set iq polarity failed
  - 2 handle is NULL
  - 3 handle is not initialized
  - 4 chip is busy

Note
  none

Definition at line 4212 of file driver_llcc68.c.

## ◆ llcc68_set_lora_sync_word()

uint8_t llcc68_set_lora_sync_word | ( | llcc68_handle_t * | handle,
|  | uint16_t | sync_word
| ) |  |

set the lora sync word

Parameters

  [in] | *handle | pointer to an llcc68 handle structure
  [in] | sync_word | sync word

Returns
  status code
  - 0 success
  - 1 set lora sync word failed
  - 2 handle is NULL
  - 3 handle is not initialized
  - 4 chip is busy

Note
  none

Definition at line 4300 of file driver_llcc68.c.

## ◆ llcc68_set_ocp()

uint8_t llcc68_set_ocp | ( | llcc68_handle_t * | handle,
|  | uint8_t | ocp
| ) |  |

set the ocp

Parameters

  [in] | *handle | pointer to an llcc68 handle structure
  [in] | ocp | over current protection level

Returns
  status code
  - 0 success
  - 1 set ocp failed
  - 2 handle is NULL
  - 3 handle is not initialized
  - 4 chip is busy

Note
  none

Definition at line 4704 of file driver_llcc68.c.

## ◆ llcc68_set_pull_down_control()

uint8_t llcc68_set_pull_down_control | ( | llcc68_handle_t * | handle,
|  | uint8_t | control
| ) |  |

set the pull down control

Parameters

  [in] | *handle | pointer to an llcc68 handle structure
  [in] | control | pull down control

Returns
  status code
  - 0 success
  - 1 set pull down control failed
  - 2 handle is NULL
  - 3 handle is not initialized
  - 4 chip is busy

Note
  none

Definition at line 5496 of file driver_llcc68.c.

## ◆ llcc68_set_pull_up_control()

uint8_t llcc68_set_pull_up_control | ( | llcc68_handle_t * | handle,
|  | uint8_t | control
| ) |  |

set the pull up control

Parameters

  [in] | *handle | pointer to an llcc68 handle structure
  [in] | control | pull up control

Returns
  status code
  - 0 success
  - 1 set pull up control failed
  - 2 handle is NULL
  - 3 handle is not initialized
  - 4 chip is busy

Note
  none

Definition at line 5408 of file driver_llcc68.c.

## ◆ llcc68_set_rtc_control()

uint8_t llcc68_set_rtc_control | ( | llcc68_handle_t * | handle,
|  | uint8_t | control
| ) |  |

set the rtc control

Parameters

  [in] | *handle | pointer to an llcc68 handle structure
  [in] | control | rtc control

Returns
  status code
  - 0 success
  - 1 set rtc control failed
  - 2 handle is NULL
  - 3 handle is not initialized
  - 4 chip is busy

Note
  none

Definition at line 4792 of file driver_llcc68.c.

## ◆ llcc68_set_rx_gain()

uint8_t llcc68_set_rx_gain | ( | llcc68_handle_t * | handle,
|  | uint8_t | gain
| ) |  |

set the rx gain

Parameters

  [in] | *handle | pointer to an llcc68 handle structure
  [in] | gain | rx gain

Returns
  status code
  - 0 success
  - 1 set rx gain failed
  - 2 handle is NULL
  - 3 handle is not initialized
  - 4 chip is busy

Note
  none

Definition at line 4528 of file driver_llcc68.c.

## ◆ llcc68_set_tx_clamp_config()

uint8_t llcc68_set_tx_clamp_config | ( | llcc68_handle_t * | handle,
|  | uint8_t | config
| ) |  |

set the tx clamp config

Parameters

  [in] | *handle | pointer to an llcc68 handle structure
  [in] | config | tx clamp config

Returns
  status code
  - 0 success
  - 1 set tx clamp config failed
  - 2 handle is NULL
  - 3 handle is not initialized
  - 4 chip is busy

Note
  none

Definition at line 4616 of file driver_llcc68.c.

## ◆ llcc68_set_tx_modulation()

uint8_t llcc68_set_tx_modulation | ( | llcc68_handle_t * | handle,
|  | uint8_t | modulation
| ) |  |

set the tx modulation

Parameters

  [in] | *handle | pointer to an llcc68 handle structure
  [in] | modulation | tx modulation

Returns
  status code
  - 0 success
  - 1 set tx modulation failed
  - 2 handle is NULL
  - 3 handle is not initialized
  - 4 chip is busy

Note
  none

Definition at line 4440 of file driver_llcc68.c.

## ◆ llcc68_set_xta_trim()

uint8_t llcc68_set_xta_trim | ( | llcc68_handle_t * | handle,
|  | uint8_t | trim
| ) |  |

set the xta trim

Parameters

  [in] | *handle | pointer to an llcc68 handle structure
  [in] | trim | xta trim

Returns
  status code
  - 0 success
  - 1 set xta trim failed
  - 2 handle is NULL
  - 3 handle is not initialized
  - 4 chip is busy

Note
  none

Definition at line 4880 of file driver_llcc68.c.

## ◆ llcc68_set_xtb_trim()

uint8_t llcc68_set_xtb_trim | ( | llcc68_handle_t * | handle,
|  | uint8_t | trim
| ) |  |

set the xtb trim

Parameters

  [in] | *handle | pointer to an llcc68 handle structure
  [in] | trim | xtb trim

Returns
  status code
  - 0 success
  - 1 set xtb trim failed
  - 2 handle is NULL
  - 3 handle is not initialized
  - 4 chip is busy

Note
  none

Definition at line 4968 of file driver_llcc68.c.